# Primitive Class Reference
[Data validation layer]

Factory for various Primitives. More...

Inheritance diagram for Primitive:
[legend]

List of all members.

## Static Public Member Functions

static | spawn ($primitive, $name)
static | alias ($name, BasePrimitive $prm)
static | anyType ($name)
static | integer ($name)
static | float ($name)
static | identifier ($name)
static | integerIdentifier ($name)
static | scalarIdentifier ($name)
static | polymorphicIdentifier ($name)
static | identifierlist ($name)
static | clazz ($name)
static | enumeration ($name)
static | enumerationByValue ($name)
static | enumerationList ($name)
static | date ($name)
static | timestamp ($name)
static | time ($name)
static | string ($name)
static | binary ($name)
static | range ($name)
static | dateRange ($name)
static | timestampRange ($name)
static | choice ($name)
static | set ($name)
static | hstore ($name)
static | multiChoice ($name)
static | plainChoice ($name)
static | boolean ($name)
static | ternary ($name)
static | file ($name)
static | image ($name)
static | exploded ($name)
static | inet ($name)
static | form ($name)
static | formsList ($name)
static | noValue ($name)
static | httpUrl ($name)
static | prototyped ($class, $propertyName, $name=null)
static | prototypedIdentifier ($class, $name=null)

## Detailed Description

Factory for various Primitives.

Definition at line 17 of file Primitive.class.php.

## Member Function Documentation

static Primitive::alias | ( | $ | name,
|  | BasePrimitive $ | prm |
| ) |  |  | `[static]`

Returns:
  Primitive

Definition at line 32 of file Primitive.class.php.

Referenced by BaseEditor::__construct().

static Primitive::anyType | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveAnyType

Definition at line 40 of file Primitive.class.php.

static Primitive::binary | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveBinary

Definition at line 169 of file Primitive.class.php.

static Primitive::boolean | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveBoolean

Definition at line 241 of file Primitive.class.php.

static Primitive::choice | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveList

Definition at line 201 of file Primitive.class.php.

Referenced by BaseEditor::__construct(), and MethodMappedController::chooseAction().

static Primitive::clazz | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveClass

Definition at line 105 of file Primitive.class.php.

static Primitive::date | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveDate

Definition at line 137 of file Primitive.class.php.

static Primitive::dateRange | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveDateRange

Definition at line 185 of file Primitive.class.php.

static Primitive::enumeration | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveEnumeration

Definition at line 113 of file Primitive.class.php.

static Primitive::enumerationByValue | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveEnumerationByValue

Definition at line 121 of file Primitive.class.php.

static Primitive::enumerationList | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveEnumerationList

Definition at line 129 of file Primitive.class.php.

static Primitive::exploded | ( | $ | name | ) | `[static]`

Returns:
  ExplodedPrimitive

Definition at line 273 of file Primitive.class.php.

static Primitive::file | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveFile

Definition at line 257 of file Primitive.class.php.

static Primitive::float | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveFloat

Definition at line 56 of file Primitive.class.php.

static Primitive::form | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveForm

Definition at line 289 of file Primitive.class.php.

static Primitive::formsList | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveFormsList

Definition at line 297 of file Primitive.class.php.

static Primitive::hstore | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveHstore

Definition at line 217 of file Primitive.class.php.

static Primitive::httpUrl | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveHttpUrl

Definition at line 313 of file Primitive.class.php.

static Primitive::identifier | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveIdentifier by integerIdentifier and scalarIdentifier

Definition at line 65 of file Primitive.class.php.

static Primitive::identifierlist | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveIdentifierList

Definition at line 97 of file Primitive.class.php.

static Primitive::image | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveImage

Definition at line 265 of file Primitive.class.php.

static Primitive::inet | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveInet

Definition at line 281 of file Primitive.class.php.

static Primitive::integer | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveInteger

Definition at line 48 of file Primitive.class.php.

static Primitive::integerIdentifier | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveIntegerIdentifier

Definition at line 73 of file Primitive.class.php.

static Primitive::multiChoice | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveMultiList

Definition at line 225 of file Primitive.class.php.

static Primitive::noValue | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveNoValue

Definition at line 305 of file Primitive.class.php.

static Primitive::plainChoice | ( | $ | name | ) | `[static]`

Returns:
  PrimitivePlainList

Definition at line 233 of file Primitive.class.php.

static Primitive::polymorphicIdentifier | ( | $ | name | ) | `[static]`

Returns:
  PrimitivePolymorphicIdentifier

Definition at line 89 of file Primitive.class.php.

static Primitive::prototyped | ( | $ | class,
|  | $ | propertyName,
|  | $ | name = `null` |
| ) |  |  | `[static]`

Returns:
  BasePrimitive

Definition at line 321 of file Primitive.class.php.

References Assert::isInstance().

Referenced by prototypedIdentifier().

Here is the call graph for this function:

static Primitive::prototypedIdentifier | ( | $ | class,
|  | $ | name = `null` |
| ) |  |  | `[static]`

Returns:
  PrimitiveIdentifier

Definition at line 339 of file Primitive.class.php.

References Assert::isInstance(), and prototyped().

Here is the call graph for this function:

static Primitive::range | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveRange

Definition at line 177 of file Primitive.class.php.

static Primitive::scalarIdentifier | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveScalarIdentifier

Definition at line 81 of file Primitive.class.php.

static Primitive::set | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveArray

Definition at line 209 of file Primitive.class.php.

static Primitive::spawn | ( | $ | primitive,
|  | $ | name |
| ) |  |  | `[static]`

Returns:
  BasePrimitive

Definition at line 22 of file Primitive.class.php.

References Assert::classExists().

Here is the call graph for this function:

static Primitive::string | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveString

Definition at line 161 of file Primitive.class.php.

static Primitive::ternary | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveTernary

Definition at line 249 of file Primitive.class.php.

static Primitive::time | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveTime

Definition at line 153 of file Primitive.class.php.

static Primitive::timestamp | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveTimestamp

Definition at line 145 of file Primitive.class.php.

static Primitive::timestampRange | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveTimestampRange

Definition at line 193 of file Primitive.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitive.class.php